## javax.help.plaf.basic
Class BasicFavoritesNavigatorUI.FolderAction

    java.lang.Object
      javax.swing.AbstractAction
          javax.help.plaf.basic.BasicFavoritesNavigatorUI.FolderAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

Enclosing class:
  BasicFavoritesNavigatorUI

public class BasicFavoritesNavigatorUI.FolderAction
extends javax.swing.AbstractAction

FolderAction class.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`BasicFavoritesNavigatorUI.FolderAction()`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent ev)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFavoritesNavigatorUI.FolderAction

    public BasicFavoritesNavigatorUI.FolderAction()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ev)